Bug 442336 - Special charcters in config channel name
Special charcters in config channel name
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management (Show other bugs)
501
All Linux
low Severity low
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
https://rlx-3-18.rhndev.redhat.com/rh...
: Triaged
Depends On:
Blocks: 462714 479461
  Show dependency treegraph
 
Reported: 2008-04-14 09:48 EDT by Preethi Thomas
Modified: 2014-05-09 06:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 06:20:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2008-04-14 09:48:30 EDT
Description of problem:
Special characters are allowed to be in the name for Config channel. But if you
enter left and right parenthesis or curly braces, its omitted from the name
without a warning.

Version-Release number of selected component (if applicable):

rhn-satellite-5.0.2-1-redhat-linux-as-i386-4-embedded-oracle.iso

How reproducible:
always

Steps to Reproduce:
1. Create a config channel
2. Give special characters in the name.(eg: #$*":'?
3. Enter label and description and save.
4. The config channel with the above name is created.
5. Now Edit the above config channel properties
6. Add ( , ) , { or } to the name.
7 Click Edit Config channel button.

  
Actual results:

( , ) , { and } are omitted from the name without any warning message


Expected results:
 
1. I am not sure if special charters are allowed as names for config channels.

2. If ( , ) , { and } are excluded from the the permitted characters there
should be a warning message.

Additional info:
Comment 1 Jesus M. Rodriguez 2008-04-15 16:10:10 EDT
Moving to 5.2. We don't give warnings in 5.1 either.
Comment 4 Jan Pazdziora 2012-03-15 11:44:38 EDT
Still present on Satellite 5.4.1.
Comment 5 Clifford Perry 2014-05-09 06:20:49 EDT
We have not addressed this specific bug for over 4 years. This bug was reported as either Satellite 5.0 or 5.1, both of which have now End of Life and not supported. I am closing out as wontfix to clear from backlog. 

Please re-open if you disagree and wish further review.

Cliff

Note You need to log in before you can comment on or make changes to this bug.